Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2456723004: Move VariationsParamAssociator to base (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 4 weeks ago by lawrencewu
Modified:
6 months, 3 weeks ago
CC:
chromium-reviews, asvitkine+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Move VariationsParamAssociator to base Moves VariationsParamAssociator to base as FieldTrialParamAssociator and just reroutes the calls in variations_associated_data.cc to this new class in field_trial_param_associator.h/.cc. This is so we can eventually get field trial parameters into child processes using shared memory. BUG=660038 Committed: https://crrev.com/5d5ac0c30be692e2e918121e140a869af36f8dc2 Cr-Commit-Position: refs/heads/master@{#428710}

Patch Set 1 #

Total comments: 10

Patch Set 2 : address comments #

Patch Set 3 : fix compile error #

Patch Set 4 : rebase-update #

Messages

Total messages: 27 (17 generated)
lawrencewu
First step of the plan to eventually get params into base.
6 months, 4 weeks ago (2016-10-27 17:15:14 UTC) #2
Alexei Svitkine (slow)
Looks good, just a few comments. https://codereview.chromium.org/2456723004/diff/1/base/metrics/field_trial_param_associator.cc File base/metrics/field_trial_param_associator.cc (right): https://codereview.chromium.org/2456723004/diff/1/base/metrics/field_trial_param_associator.cc#newcode1 base/metrics/field_trial_param_associator.cc:1: // Copyright (c) ...
6 months, 4 weeks ago (2016-10-28 15:39:17 UTC) #3
lawrencewu
Address comments. @dcheng, would you mind taking a look at the new BUILD.gn file? Thanks ...
6 months, 4 weeks ago (2016-10-28 16:54:29 UTC) #5
dcheng
//base LGTM
6 months, 4 weeks ago (2016-10-28 17:38:15 UTC) #7
Alexei Svitkine (slow)
lgtm
6 months, 4 weeks ago (2016-10-28 18:46:33 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2456723004/20001
6 months, 4 weeks ago (2016-10-28 18:51:31 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_compile_dbg_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_compile_dbg_ng/builds/295831) mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
6 months, 4 weeks ago (2016-10-28 18:59:08 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2456723004/60001
6 months, 3 weeks ago (2016-10-31 14:47:46 UTC) #23
commit-bot: I haz the power
Committed patchset #4 (id:60001)
6 months, 3 weeks ago (2016-10-31 14:52:38 UTC) #25
commit-bot: I haz the power
6 months, 3 weeks ago (2016-10-31 14:55:02 UTC) #27
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/5d5ac0c30be692e2e918121e140a869af36f8dc2
Cr-Commit-Position: refs/heads/master@{#428710}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06